Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb.common.v2
Class PushRequestType

    java.lang.Object
      be.vlaanderen.mercurius.vsb.common.v2.PushRequestType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class PushRequestType

extends Object
implements Serializable

generiek type dat als basis dient voor elk push-type

Java class for PushRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PushRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ProcessingDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Receiver" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}CareEntityCodeType"/>
             <element name="Reason" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}ReasonType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PushRequestType()`

Method Summary
`org.joda.time.DateTime` | `getProcessingDateTime()` Gets the value of the processingDateTime property.
`String` | `getReason()` Gets the value of the reason property.
`String` | `getReceiver()` Gets the value of the receiver property.
`void` | `setProcessingDateTime(org.joda.time.DateTime value)` Sets the value of the processingDateTime property.
`void` | `setReason(String value)` Sets the value of the reason property.
`void` | `setReceiver(String value)` Sets the value of the receiver property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushRequestType

    public PushRequestType()

Method Detail

### getProcessingDateTime

    public org.joda.time.DateTime getProcessingDateTime()

  Gets the value of the processingDateTime property.

  Returns:
    possible object is `String`

### setProcessingDateTime

    public void setProcessingDateTime(org.joda.time.DateTime value)

  Sets the value of the processingDateTime property.

  Parameters:
    `value` - allowed object is `String`

### getReceiver

    public String getReceiver()

  Gets the value of the receiver property.

  Returns:
    possible object is `String`

### setReceiver

    public void setReceiver(String value)

  Sets the value of the receiver property.

  Parameters:
    `value` - allowed object is `String`

### getReason

    public String getReason()

  Gets the value of the reason property.

  Returns:
    possible object is `String`

### setReason

    public void setReason(String value)

  Sets the value of the reason property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.